/*
 * mediaitem.h: declaration of a class that holds media data for display.
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */
#ifndef _MEDIAITEM_H
#define _MEDIAITEM_H
#include <vdr/osdbase.h>
class cMediaReader;

class cMenuMediaItem : public cOsdItem{
friend class cMediaReader;	
public:
  cMenuMediaItem() { cMenuMediaItem(0,"",0,0,""); };
  cMenuMediaItem(int, char*, int, int, char*);
 ~cMenuMediaItem();

  int    Id() { return id; }
  char * Title() { return title; }
  int    Playtime() { return playtime; }
  int    Fsk() { return fsk; }
  char * Slot() { return slot; }
  void   Compile();

protected:
  void   SetId(int i) { id = i; }
  void   SetTitle(char *p) { title = p; }
  void   SetPlaytime(int i) { playtime = i; }
  void   SetFsk(int i) { fsk = i; }
  void   SetSlot(char *p) { slot = p; }

private:
  int    id;
  char * title;
  int    playtime;  
  int    fsk;
  char * slot;
};

#endif
